# POST /scheduling/check-availability

**Resource:** [SCHEDULING](./scheduling.md)  
**MCP tool:** `check_slot_availability`  
**Scopes:** `scheduling:read`  
**Write operation:** no

Quick check whether a specific slot is available. Returns nearest available alternatives if not.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `event_type_id` | body | string | yes |  |
| `slot` | body | string | yes | ISO datetime |

## Request example

```bash
curl -X POST   "https://api.trustpager.com/functions/v1/api/v1/scheduling/check-availability"   -H "Authorization: Bearer YOUR_API_KEY"   -H "Content-Type: application/json"   -d '{"event_type_id":"...","slot":"..."}'
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`